%define name	regutils
%define version	0.8
%define release	1mdk

Summary:	Manipulate the Win9x registry
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Other
Source0:	ftp://ftp.cs.mun.ca/pub/regutils/regutils-0.8.tar.bz2
Patch0:		Makefile.patch.bz2
Url:		http://www.cs.mun.ca/~michael/regutils/
Requires:	common-licenses perl findutils
#Requires:	samba-common samba
Provides:	regutils regedit
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Regutils is a collection of programs to help in installing dos/windows
software for diskless machines served by a unix machine. They are also
useful for applying user and machine specific customizations on the
fly as users log in, or as machines are booted.

%prep
rm -rf %{buildroot}

%setup -q
%patch0 -p0

%build
make

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_libdir}
install -m 755 regedit %{buildroot}%{_bindir}/
install -m 755 regdiff.pl %{buildroot}%{_bindir}/regdiff
install -m 755 regfilter.pl %{buildroot}%{_bindir}/regfilter
install -m 755 reghexprint.pl %{buildroot}%{_bindir}/reghexprint
install -m 755 regsort.pl %{buildroot}%{_bindir}/regsort
install -m 755 inicat.pl %{buildroot}%{_bindir}/inicat
install -m 755 inidiff.pl %{buildroot}%{_bindir}/inidiff
install -m 755 iniedit.pl %{buildroot}%{_bindir}/iniedit
install -m 755 gen-app-changes.pl %{buildroot}%{_bindir}/gen-app-changes
install -m 755 apply-app-changes.pl %{buildroot}%{_bindir}/apply-app-changes
install -m 755 fix-w9x-lnk.pl %{buildroot}%{_bindir}/fix-w9x-lnk
install -m 644 regfilterLib.pl %{buildroot}%{_libdir}/
install -m 644 IniFile.pm %{buildroot}%{_libdir}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README INSTALL PROJECTS
%{_bindir}/*
%{_libdir}/*

%changelog
* Mon Nov 26 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.8-1mdk
- initial cooker contrib
- spec file cleanups
